# Class SigningPlugin

java.lang.Object
org.gradle.plugins.signing.SigningPlugin

All Implemented Interfaces:
  `Plugin<Project>`

public class SigningPlugin extends Object implements Plugin<Project>
Adds the ability to digitally sign files and artifacts.

## Constructor Summary

Constructors
Constructor
Description
`SigningPlugin()`

## Method Summary

Modifier and Type
Method
Description
`void`
`apply(Project project)`
Adds the ability to digitally sign files and artifacts.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SigningPlugin

public SigningPlugin()

## Method Details

### apply

public void apply(Project project)

Adds the ability to digitally sign files and artifacts.

Adds the extension `SigningExtension` with the name “signing”.

Also adds conventions to all `sign tasks` to use the signing extension setting defaults.

Specified by:
  `apply` in interface `Plugin<Project>`
Parameters:
  `project` - The target object
See Also:
  - `SigningExtension`